---
suite: stress-ng
testcase: stress-ng
category: benchmark
nr_threads: 100%
testtime: 60s
sysctl:
  sc_pid_max: 4194304
stress-ng:
  class: scheduler
  test: netlink-task
job_origin: stress-ng-class-scheduler.yaml
queue_cmdline_keys:
- branch
- commit
- kbuild_queue_analysis
queue: bisect
testbox: lkp-icl-2sp8
tbox_group: lkp-icl-2sp8
submit_id: 659641e48926157a20cf5e31
job_file: "/lkp/jobs/scheduled/lkp-icl-2sp8/stress-ng-scheduler-performance-100%-4194304-netlink-task-60s-debian-11.1-x86_64-20220510.cgz-d93300891f81-20240104-31264-1xzeq26-2.yaml"
id: 5c966a92abc8e64a333e387615bdb2117442e3c2
queuer_version: "/zday/lkp"
model: Ice Lake
nr_node: 2
nr_cpu: 64
memory: 256G
nr_ssd_partitions: 3
nr_hdd_partitions: 6
hdd_partitions: "/dev/disk/by-id/ata-WDC_WD20SPZX-22UA7T0_WD-WX82EA06CSLM-part*"
ssd_partitions:
- "/dev/disk/by-id/nvme-INTEL_SSDPE2KX040T7_PHLF741402YJ4P0IGN-part1"
- "/dev/disk/by-id/nvme-INTEL_SSDPE2KX040T7_PHLF741402YJ4P0IGN-part2"
- "/dev/disk/by-id/nvme-INTEL_SSDPE2KX040T7_PHLF741402YJ4P0IGN-part3"
rootfs_partition: "/dev/disk/by-id/nvme-INTEL_SSDPE2KX040T7_PHLF741402YJ4P0IGN-part4"
kernel_cmdline_hw: acpi_rsdp=0x69890014
result_service: tmpfs
LKP_SERVER: 10.239.97.5
avoid_nfs: 1
brand: Intel(R) Xeon(R) Gold 6346 CPU @ 3.10GHz
need_kconfig:
- XFS_ONLINE_SCRUB_STATS: n
- XFS_DEBUG: n
- XFS_WARN: y
- PM_DEBUG: n
- PM_SLEEP_DEBUG: n
- DEBUG_ATOMIC_SLEEP: n
- DEBUG_SPINLOCK_SLEEP: n
- CIFS_DEBUG: n
- SCSI_DEBUG: n
- NFS_DEBUG: n
- SUNRPC_DEBUG: n
- DM_DEBUG: n
- DEBUG_SHIRQ: n
- OCFS2_DEBUG_MASKLOG: n
- DEBUG_MEMORY_INIT: n
- BUG_ON_DATA_CORRUPTION: n
- DEBUG_LIST: n
- DEBUG_PLIST: n
- EXPERT: y
- PREEMPT_VOLUNTARY: y
- PREEMPT_NONE: n
- PREEMPT: n
- PREEMPT_RT: n
- PREEMPT_DYNAMIC: n
- PREEMPT_VOLUNTARY_BEHAVIOUR: y
- PREEMPT_BEHAVIOUR: n
- PREEMPT_NONE_BEHAVIOUR: n
- PREEMPT_DYNAMIC: n
- PREEMPT_VOLUNTARY: y
- PREEMPT_NONE: n
- PREEMPT: n
- PREEMPT_RT: n
kmsg:
boot-time:
uptime:
iostat:
heartbeat:
vmstat:
numa-numastat:
numa-vmstat:
numa-meminfo:
proc-vmstat:
proc-stat:
meminfo:
slabinfo:
interrupts:
lock_stat:
perf-sched:
  lite_mode: 1
softirqs:
bdi_dev_mapping:
diskstats:
nfsstat:
cpuidle:
cpufreq-stats:
turbostat:
sched_debug:
perf-stat:
mpstat:
perf-c2c:
perf-profile:
  debug_mode: 0
cpufreq_governor: performance
sanity-check:
commit: d93300891f810c9498d09a6ecea2403d7a3546f0
ucode: '0xd0003a5'
kconfig: x86_64-rhel-8.3
enqueue_time: 2024-01-04 13:28:04.837556693 +08:00
_id: 659649778926157a20cf5e33
_rt: "/result/stress-ng/scheduler-performance-100%-4194304-netlink-task-60s/lkp-icl-2sp8/debian-11.1-x86_64-20220510.cgz/x86_64-rhel-8.3/gcc-12/d93300891f810c9498d09a6ecea2403d7a3546f0"
compiler: gcc-12
head_commit: a453c2b0a73a6c4c836edae7b354c39ed82c6981
base_commit: 610a9b8f49fbcf1100716370d3b5f6f884a2835a
branch: linux-devel/devel-hourly-20240102-213102
rootfs: debian-11.1-x86_64-20220510.cgz
user: lkp
scheduler_version: "/lkp/lkp/.src-20240103-101946"
arch: x86_64
max_uptime: 2100
initrd: "/osimage/debian/debian-11.1-x86_64-20220510.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/stress-ng/scheduler-performance-100%-4194304-netlink-task-60s/lkp-icl-2sp8/debian-11.1-x86_64-20220510.cgz/x86_64-rhel-8.3/gcc-12/d93300891f810c9498d09a6ecea2403d7a3546f0/1
- BOOT_IMAGE=/pkg/linux/x86_64-rhel-8.3/gcc-12/d93300891f810c9498d09a6ecea2403d7a3546f0/vmlinuz-6.7.0-rc8-00002-gd93300891f81
- branch=linux-devel/devel-hourly-20240102-213102
- job=/lkp/jobs/scheduled/lkp-icl-2sp8/stress-ng-scheduler-performance-100%-4194304-netlink-task-60s-debian-11.1-x86_64-20220510.cgz-d93300891f81-20240104-31264-1xzeq26-2.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-rhel-8.3
- commit=d93300891f810c9498d09a6ecea2403d7a3546f0
- nmi_watchdog=0
- acpi_rsdp=0x69890014
- max_uptime=2100
- LKP_SERVER=10.239.97.5
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-rhel-8.3/gcc-12/d93300891f810c9498d09a6ecea2403d7a3546f0/modules.cgz"
bm_initrd: "/osimage/deps/debian-11.1-x86_64-20220510.cgz/run-ipconfig_20220515.cgz,/osimage/deps/debian-11.1-x86_64-20220510.cgz/lkp_20220513.cgz,/osimage/deps/debian-11.1-x86_64-20220510.cgz/rsync-rootfs_20220515.cgz,/osimage/deps/debian-11.1-x86_64-20220510.cgz/stress-ng_20231212.cgz,/osimage/pkg/debian-11.1-x86_64-20220510.cgz/stress-ng-x86_64-3040a078a-1_20231212.cgz,/osimage/deps/debian-11.1-x86_64-20220510.cgz/mpstat_20220516.cgz,/osimage/deps/debian-11.1-x86_64-20220510.cgz/turbostat_20220514.cgz,/osimage/pkg/debian-11.1-x86_64-20220510.cgz/turbostat-x86_64-210e04ff7681-1_20220518.cgz,/osimage/deps/debian-11.1-x86_64-20220510.cgz/perf_20230522.cgz,/osimage/pkg/debian-11.1-x86_64-20220510.cgz/perf-x86_64-00c7b5f4ddc5-1_20230402.cgz,/osimage/pkg/debian-11.1-x86_64-20220510.cgz/sar-x86_64-c5bb321-1_20220518.cgz,/osimage/deps/debian-11.1-x86_64-20220510.cgz/hw_20220526.cgz,/osimage/deps/debian-11.1-x86_64-20220510.cgz/rootfs_20220515.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20230906.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: inn
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-icl-2sp8/stress-ng-scheduler-performance-100%-4194304-netlink-task-60s-debian-11.1-x86_64-20220510.cgz-d93300891f81-20240104-31264-1xzeq26-2.cgz"
last_kernel: 6.7.0-rc8-00002-gd93300891f81
acpi_rsdp: '0x69890014'
repeat_to: 3
bad_samples:
- 586353.08
- 593860.22
- 611623.77

#! queue options

#! user overrides
kbuild_queue_analysis: 1
kernel: "/pkg/linux/x86_64-rhel-8.3/gcc-12/d93300891f810c9498d09a6ecea2403d7a3546f0/vmlinuz-6.7.0-rc8-00002-gd93300891f81"
result_root: "/result/stress-ng/scheduler-performance-100%-4194304-netlink-task-60s/lkp-icl-2sp8/debian-11.1-x86_64-20220510.cgz/x86_64-rhel-8.3/gcc-12/d93300891f810c9498d09a6ecea2403d7a3546f0/1"

#! schedule options

#! /cephfs/db/releases/20240104124724/lkp-src/include/site/inn
dequeue_time: 2024-01-04 14:13:26.152306133 +08:00
job_state: finished
loadavg: 32.55 11.57 4.13 1/764 6268
start_time: '1704348888'
end_time: '1704348950'
version: "/lkp/lkp/.src-20240103-102023:b870374218d9:7116cf93602a"
